library ieee;
use ieee.std_logic_1164.all;


entity OOK_mod is

   port(
		clock : in std_logic;
		input_bit : in std_logic;
		porteuse : in integer range 0 to 16383 := 8192;
		OOK_signal : out integer range 0 to 16383
	);
end;

architecture behave of OOK_mod is
   signal porteuse_synch : integer range 0 to 16383;
	signal input_bit_synch : std_logic;
begin

   registered_input_1 : process(clock)	    
   begin
       if falling_edge(clock) then 
		     porteuse_synch <= porteuse;
		 end if;
   end process;

	
	registered_input_2 : process(clock)	    
   begin
       if falling_edge(clock) then 
		     input_bit_synch <= input_bit;
		 end if;
   end process;
	
	
	registered_output : process(clock)
	begin
       if falling_edge(clock) then 
		     if input_bit_synch = '1' then
			     OOK_signal <= porteuse_synch;
			  else 
			     OOK_signal <= 8192;
			  end if;
		 end if;
   end process;
	
end;