library ieee;
use ieee.std_logic_1164.all;

entity OOK_top is 
   port(
	   clock_50_M : in std_logic;
		dac_clock : out std_logic;
		dac_write : out std_logic;
		dac_mode : out std_logic;
		dac_data : out integer range 0 to 16383
	);
end;

architecture structural of OOK_top is

   signal bit_clock : std_logic;
	signal bit_data : std_logic;
	signal sample_clock : std_logic;
	signal porteuse : integer range 0 to 16383;
	
begin

	module1 : entity work.div_freq_by_2 port map(clock => clock_50_M, clock_divided => sample_clock);
	
	module2 : entity work.gen_horloge port map(clock => clock_50_M, pulse => bit_clock);
	
	
	
	
	
	dac_write <= sample_clock;
	
	dac_clock <= sample_clock;
	
	dac_mode <= '1';
	
end;